
public class Lab {
    private Student[] students;
    private int avg;
    private String day;
    private int capacity;
    private int currentSize;

    /**
     * Labs constructor
     *
     * @param cap is the lab capacity
     * @param day   is the date
     */
    public Lab(int cap, String day) {
        students = new Student[100];
        capacity = cap;
        this.day = day;
        currentSize = 0;
    }

    /**
     * checks if the student can enroll to the class
     * according to the current size and the capacity
     * @param std is the new student who has to be enrolled
     */
    public void enrollment(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std;
            currentSize++;
            calculateAvg();
        } else {
            System.out.println("lab is full!!!");
        }
    }

    /**
     * prints the students and
     * also the average which is
     * calculated
     */
    public void print() {
        /*
       // System.out.println("capacity: " + capacity + "current size: " + );
        int i = 0;
        for(Student s : students){
           // System.out.println(i + ")" + "first name: " + s.getFirstName() + "last name: " + s.getGrade());
            System.out.print(i + ")" );
            s.print();
        }

         */
        for (int i = 0; i < capacity; i++) {
            System.out.println("std fname: " + students[i].getFirstName() + " std id:" + students[i].getId() + " std grade:" + students[i].getGrade());
        } System.out.println("Lab AVG:" + avg);
    }

    /**
     * getter for students which returns the array of students
     *
     * @return the students list as an array
     */
    public Student[] getStudents() {
        return students;
    }

    /**
     * setter for students which sets te new list of students
     *
     * @param students is the new students list
     */
    public void setStudents(Student[] students) {
        int j =0 ;
        currentSize = 0;
        for (Student i : students) {
            this.students[j] = new Student(i.getFirstName(),i.getLastName(),i.getId());
            this.students[j].setGrade(i.getGrade());
            j++;
            currentSize++;
        }
        calculateAvg();

    }

    /**
     * getter for average which returns the average
     * @return avg average
     */
    public int getAvg() {
        return avg;
    }

    /**
     * this method is used to
     * calculate the students average
     */
    public void calculateAvg() {
        int sum = 0;
        int i = 0;
        for (; i < currentSize ; i++) {
            sum += students[i].getGrade();
        }
        avg = sum / i;
    }

    /**
     *a normal getter for day which gets the day
     * @return day
     */
    public String getDay() {
        return day;
    }

    /**
     * a setter for day
     * @param day will set the day
     */
    public void setDay(String day){
        this.day = day;
    }
    /**
     * a getter for capacity
     * @return the class capacity
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     * a setter for capacity
     * @param capacity will be the new lab capacity
     */
    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }
}






/*
        Student[] students1 = new Student[capacity];
        for (int i = 0 ; i < students.length && i < capacity ; i++){
            students1[i] = students[i];
        }
        students = new Student[capacity];
        for (int i=0 ; i <  capacity ; i++ ){
            students[i] = students1[i];
        }

         */