
public class Student {
    private String firstName;
    private String lastName;
    private String id;
    private int grade;
    /**
     * creat a new stdent nam and id number
     * @param fName first name of student
     * @param lname last name iof student
     * @param sID student ID
     */
    public Student(String fName, String lname, String sID){
        firstName = fName;
        lastName = lname;
        id = sID;
        grade = 0;
    }
    /**
     *get the first name of a student
     * @return firstName field
     */
    public String getFirstName(){
        return firstName;
    }

    /**
     * @param fName set firstname of a student
     */
    public void setFirstName( String fName){
        firstName = fName;
    }
    /**
     * print the students last name and ID number to the output terminal
     */
    public void print(){
        System.out.println(firstName + " " + lastName + " , student ID: " + id + " , grade: " + grade);
    }

    /**
     * getter and setter for both id and grade
     * @param score represents the grade of the student
     */
    public void setGrade(int score){
        if( score <= 20 && score >= 0 ) {
            grade = score;
        }
        else
            System.out.println("error grade");
    }

    /**
     * a normal getter for grade
     * @return grade which is the students grade
     */
    public int getGrade(){
        return grade;
    }

    /**
     * this method will reset the students ID
     * according to its digit counts if the input
     * has more or less than 7 digits the method
     * will print an error
     * @param id is the new student ID
     */
    public void setId(String id){
        if( id.length() == 7 ) {
            this.id = id;
        }
        else
            System.out.println("error");
    }

    /**
     * a normal getter which returns the ID
     * @return id which is the students ID
     */
    public String getId(){
        return id;
    }

    /**
     * getLastName method is used to return the students last name
     * @return lastName which is the students last name
     * and is used in the Lab class
     */
    public  String getLastName(){
        return lastName;
    }
}

